org.eclipse.viatra.cep.core.metamodels.events

## Interface ComplexEventPattern

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, EventPattern, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AnonymousComplexEventPattern, ComplexEventPatternImpl, ParameterizableComplexEventPattern

      public interface ComplexEventPattern
      extends EventPattern

  A representation of the model object 'Complex Event Pattern'.

  The following features are supported:

  - `Operator`
  - `Timewindow`
  - `Contained Event Patterns`
  - `Event Context`
  See Also:
    `EventsPackage.getComplexEventPattern()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<EventPatternReference>` | `getContainedEventPatterns()` Returns the value of the 'Contained Event Patterns' containment reference list.
    `EventContext` | `getEventContext()` Returns the value of the 'Event Context' attribute.
    `ComplexEventOperator` | `getOperator()` Returns the value of the 'Operator' containment reference.
    `Timewindow` | `getTimewindow()` Returns the value of the 'Timewindow' containment reference.
    `void` | `setEventContext(EventContext value)` Sets the value of the '`Event Context`' attribute.
    `void` | `setOperator(ComplexEventOperator value)` Sets the value of the '`Operator`' containment reference.
    `void` | `setTimewindow(Timewindow value)` Sets the value of the '`Timewindow`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.cep.core.metamodels.events.EventPattern

      `getAutomaton, getEventModel, getId, getParameterNames, setAutomaton, setEventModel, setId`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getOperator

          ComplexEventOperator getOperator()

      Returns the value of the 'Operator' containment reference.

      If the meaning of the 'Operator' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operator' containment reference.
      See Also:
        `setOperator(ComplexEventOperator)`, `EventsPackage.getComplexEventPattern_Operator()`
      Generated:
      Model:
        containment="true" required="true"

    - #### setOperator

          void setOperator(ComplexEventOperator value)

      Sets the value of the '`Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Operator' containment reference.
      See Also:
        `getOperator()`
      Generated:

    - #### getTimewindow

          Timewindow getTimewindow()

      Returns the value of the 'Timewindow' containment reference.

      If the meaning of the 'Timewindow' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Timewindow' containment reference.
      See Also:
        `setTimewindow(Timewindow)`, `EventsPackage.getComplexEventPattern_Timewindow()`
      Generated:
      Model:
        containment="true"

    - #### setTimewindow

          void setTimewindow(Timewindow value)

      Sets the value of the '`Timewindow`' containment reference.
      Parameters:
        `value` - the new value of the 'Timewindow' containment reference.
      See Also:
        `getTimewindow()`
      Generated:

    - #### getContainedEventPatterns

          org.eclipse.emf.common.util.EList<EventPatternReference> getContainedEventPatterns()

      Returns the value of the 'Contained Event Patterns' containment reference list. The list contents are of type `EventPatternReference`.

      If the meaning of the 'Contained Event Patterns' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Contained Event Patterns' containment reference list.
      See Also:
        `EventsPackage.getComplexEventPattern_ContainedEventPatterns()`
      Generated:
      Model:
        containment="true"

    - #### getEventContext

          EventContext getEventContext()

      Returns the value of the 'Event Context' attribute. The literals are from the enumeration `EventContext`.

      If the meaning of the 'Event Context' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Context' attribute.
      See Also:
        `EventContext`, `setEventContext(EventContext)`, `EventsPackage.getComplexEventPattern_EventContext()`
      Generated:
      Model:

    - #### setEventContext

          void setEventContext(EventContext value)

      Sets the value of the '`Event Context`' attribute.
      Parameters:
        `value` - the new value of the 'Event Context' attribute.
      See Also:
        `EventContext`, `getEventContext()`
      Generated: